package com.auth.model.base.dto;

import com.auth.common.model.common.BasePageDto;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "RolePermissionDTO-系统角色权限表传输对象", title = "系统角色权限表", description = "系统角色权限表的DTO对象")
public class RolePermissionDto extends BasePageDto {

    @Schema(name = "roleId", title = "角色id")
    private Long roleId;

    @Schema(name = "powerId", title = "权限id")
    private Long powerId;

    @Schema(name = "isDeleted", title = "是否删除，0-未删除，1-已删除")
    private Boolean isDeleted;

    @Schema(name = "permissionId", title = "权限ID")
    private Long permissionId;

}