package com.auth.model.base.dto;

import com.auth.common.model.common.BasePageDto;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "UserRoleDTO-系统用户角色关系表传输对象", title = "系统用户角色关系表", description = "系统用户角色关系表的DTO对象")
public class UserRoleDto extends BasePageDto {

    @Schema(name = "userId", title = "用户id")
    private Long userId;

    @Schema(name = "roleId", title = "角色id")
    private Long roleId;

    @Schema(name = "isDeleted", title = "是否删除，0-未删除，1-已删除")
    private Boolean isDeleted;

}