package com.auth.service.base.service;

import com.auth.common.model.common.result.PageResult;
import com.auth.dao.base.entity.DeptEntity;
import com.auth.model.base.dto.DeptDto;
import com.auth.model.base.vo.DeptVo;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 部门表 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-22 21:43:42
 */
public interface DeptService extends IService<DeptEntity> {

    /**
     * 分页查询部门表
     *
     * @return 部门表分页结果 {@link DeptVo}
     */
    PageResult<DeptVo> getDeptPage(Page<DeptEntity> pageParams, DeptDto dto);

    /**
     * 根据id查询部门表详情
     *
     * @param id 主键
     * @return 部门表详情 DeptVo}
     */
    DeptVo getById(Long id);

    /**
     * 添加部门表
     *
     * @param dto {@link DeptDto} 添加表单
     */
    void create(DeptDto dto);

    /**
     * 更新部门表
     *
     * @param dto {@link DeptDto} 更新表单
     */
    void update(DeptDto dto);

    /**
     * 删除|批量删除部门表类型
     *
     * @param ids 删除id列表
     */
    void batchDelete(List<Long> ids);
}
