package com.auth.service.base.service;

import com.auth.common.model.common.result.PageResult;
import com.auth.dao.base.entity.EmailTemplateEntity;
import com.auth.model.base.dto.EmailTemplateDto;
import com.auth.model.base.vo.EmailTemplateVo;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 邮件模板表 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-22 21:43:42
 */
public interface EmailTemplateService extends IService<EmailTemplateEntity> {

    /**
     * 分页查询邮件模板表
     *
     * @return 邮件模板表分页结果 {@link EmailTemplateVo}
     */
    PageResult<EmailTemplateVo> getEmailTemplatePage(Page<EmailTemplateEntity> pageParams, EmailTemplateDto dto);

    /**
     * 根据id查询邮件模板表详情
     *
     * @param id 主键
     * @return 邮件模板表详情 EmailTemplateVo}
     */
    EmailTemplateVo getById(Long id);

    /**
     * 添加邮件模板表
     *
     * @param dto {@link EmailTemplateDto} 添加表单
     */
    void create(EmailTemplateDto dto);

    /**
     * 更新邮件模板表
     *
     * @param dto {@link EmailTemplateDto} 更新表单
     */
    void update(EmailTemplateDto dto);

    /**
     * 删除|批量删除邮件模板表类型
     *
     * @param ids 删除id列表
     */
    void batchDelete(List<Long> ids);
}
