package com.auth.service.base.service;

import com.auth.common.model.common.result.PageResult;
import com.auth.dao.base.entity.OperationLogEntity;
import com.auth.model.base.dto.OperationLogDto;
import com.auth.model.base.vo.OperationLogVo;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 系统操作日志 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-22 21:43:42
 */
public interface OperationLogService extends IService<OperationLogEntity> {

    /**
     * 分页查询系统操作日志
     *
     * @return 系统操作日志分页结果 {@link OperationLogVo}
     */
    PageResult<OperationLogVo> getOperationLogPage(Page<OperationLogEntity> pageParams, OperationLogDto dto);

    /**
     * 根据id查询系统操作日志详情
     *
     * @param id 主键
     * @return 系统操作日志详情 OperationLogVo}
     */
    OperationLogVo getById(Long id);

    /**
     * 添加系统操作日志
     *
     * @param dto {@link OperationLogDto} 添加表单
     */
    void create(OperationLogDto dto);

    /**
     * 更新系统操作日志
     *
     * @param dto {@link OperationLogDto} 更新表单
     */
    void update(OperationLogDto dto);

    /**
     * 删除|批量删除系统操作日志类型
     *
     * @param ids 删除id列表
     */
    void batchDelete(List<Long> ids);
}
